Bug 291051 - Virt-manager never completes the adding of a new disk
Virt-manager never completes the adding of a new disk
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 11:35 EDT by Adam Huffman
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-26 22:59:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Huffman 2007-09-14 11:35:17 EDT
Description of problem:

Whenever I try to add a new disk, either as a file or a real device, to a
QEMU/KVM guest, virt-manager takes me through the whole process (though it
doesn't seem to know the size of the new disk) but then seems to get stuck, with
the busy cursor.

This may be a limitation in libvirt, as indicated by the log file, but perhaps
in that case virt-manager should not offer the option for guest without that
capability?

Version-Release number of selected component (if applicable):
virt-manager-0.4.0-2.fc7
libvirt-0.3.2-1.fc7


How reproducible:

Every time

Steps to Reproduce:
1. Add new storage device
2.
3.
  
Actual results:

Operation does not complete

Expected results:


Additional info:

Debug log from the terminal:

libvir: error : this function is not supported by the hypervisor:
virDomainAttachDevice
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 312, in finish
    self.add_storage()
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 394, in
add_storage
    self.vm.add_device(xml)
  File "/usr/share/virt-manager/virtManager/domain.py", line 538, in add_device
    self.vm.attachDevice(xml)
  File "/usr/lib64/python2.5/site-packages/libvirt.py", line 202, in attachDevice
    if ret == -1: raise libvirtError ('virDomainAttachDevice() failed', dom=self)
libvirt.libvirtError: virDomainAttachDevice() failed this function is not
supported by the hypervisor: virDomainAttachDevice
Comment 1 Daniel Berrange 2007-09-26 22:59:46 EDT
KVM can add new devices to a running guest, so we can only change the underling
permanent config. Unfortunately we didn't catch the failure to hotplug
correctly, so we never changed the permanent config. This is now addressed in
0.5.1, so we always change the permanent config, even if hotplug fails.

Note You need to log in before you can comment on or make changes to this bug.